Safe (multisig) integration
Create Gnosis Safe Integration
Generates or imports an EVM proposer keypair, encrypts it, upserts the Safe integration and invalidates existing accounts.
POSThttps://api.toku.com/hris/create-gnosis-safe-integration
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/create-gnosis-safe-integration' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"signerPrivateKey": "string"
}'200 response
{
"signerIdentityID": "string",
"gnosisSafeIntegrationID": "string",
"signerPublicKey": "string",
"keyGeneratedAt": "string",
"invalidatedAccountCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>signerPrivateKeystringAllowed: matches ^(0x)?[a-fA-F0-9]{64}$
Response
200Successful response
signerIdentityIDstringrequiredgnosisSafeIntegrationIDstringrequiredsignerPublicKeystringrequiredkeyGeneratedAtstringrequiredinvalidatedAccountCountnumber400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits